r8169 driver does not work with Realtek RTL8111C gigabit ethernet chip in Ubuntu 8.04 Hardy Heron

Bug #212497 reported by Kevin on 2008-04-05
This bug report is a duplicate of:  Bug #86798: r8169 driver does not detect link. Edit Remove
60
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Pieter Lexis
Nominated for Intrepid by Kevin
linux-ubuntu-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Pieter Lexis
Nominated for Intrepid by Kevin

Bug Description

Hello, this is Kevin.

(I posted it when I tested beta version of Ubuntu 8.04, yet now I have 8.04 32bit Desktop Edition released version and, it still has the problem.)
============================================================================================================
#My PC Info.
CPU: Intel E2160
M/B: Gigabyte GA-G31M-S2L http://www.gigabyte.com.tw/Products/Motherboard/Products_Spec.aspx?ProductID=2693
Lan: Realtek RTL 8111C chip (10/100/1000 Mbit) (This is a on-board network card.)
============================================================================================================

I've just installed Ubuntu 8.04 beta version and now can't use network at all. It does not even have an IP address allocated. Everything is 0.0.0.0.
(Actually I upgraded from 7.10 to 8.04 beta.)

r8169 driver is loaded yet I don't think it supports Realteck RTL8111C network chip. I had the exactly same problem when I first installed Ubuntu 7.10 yet it was solved after I manually installed r8168 driver from Realtek and removed the old one (r8169) as well as putting r8169 in the blacklist.

I downloaded the driver from here:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
The driver file: ftp://210.51.181.211/cn/nic/r8168-8.005.00.tar.bz2

It solved my problem for Ubuntu 7.10 but now I have the same problem after upgrading from Ubuntu 7.10 to Ubuntu 8.04 beta.

So I tried the same thing that I did for 7.10, yet this time got error messages.

I followed these instructions:
  # make clean modules (as root or with sudo)
  # make install
  # depmod -a
  # insmod ./src/r8168.ko

Result:
========================================================================================================================
$ sudo make clean modules
make -C src/ clean
make[1]: Entering directory `/home/blade2/Desktop/r8168-8.005.00/src'
rm -rf *.o *.ko *~ core* .dep* .*.d .*.cmd *.mod.c *.a *.s .*.flags .tmp_versions Module.symvers Modules.symvers rset
make[1]: Leaving directory `/home/blade2/Desktop/r8168-8.005.00/src'
make -C src/ modules
make[1]: Entering directory `/home/blade2/Desktop/r8168-8.005.00/src'
make -C /lib/modules/2.6.24-15-generic/build SUBDIRS=/src modules
make[2]: Entering directory `/usr/src/linux-headers-2.6.24-15-generic'
scripts/Makefile.build:41: /src/Makefile: No such file or directory
make[3]: *** No rule to make target `/src/Makefile'. Stop.
make[2]: *** [_module_/src] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.24-15-generic'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/home/blade2/Desktop/r8168-8.005.00/src'
make: *** [modules] Error 2

$ sudo make install
make -C src/ install
make[1]: Entering directory `/home/blade2/Desktop/r8168-8.005.00/src'
install -m 744 -c r8168.ko /lib/modules/2.6.24-15-generic/kernel/drivers/net/
install: cannot stat `r8168.ko': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/home/blade2/Desktop/r8168-8.005.00/src'
make: *** [install] Error 2
========================================================================================================================

Just in case, I also include the contents of /var/log/dmesg
========================================================================================================================
[ 0.000000] Linux version 2.6.24-15-generic (buildd@rothera) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Fri Apr 4 03:48:31 UTC 2008 (Ubuntu 2.6.24-15.26-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
[ 0.000000] BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007f5e0000 (usable)
[ 0.000000] BIOS-e820: 000000007f5e0000 - 000000007f5e3000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000007f5e3000 - 000000007f5f0000 (ACPI data)
[ 0.000000] BIOS-e820: 000000007f5f0000 - 000000007f600000 (reserved)
[ 0.000000] BIOS-e820: 00000000c0000000 - 00000000d0000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
[ 0.000000] 1141MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000f4f50
[ 0.000000] Entering add_active_range(0, 0, 521696) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 521696
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 521696
[ 0.000000] On node 0 totalpages: 521696
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1760 pages used for memmap
[ 0.000000] Normal zone: 223520 pages, LIFO batch:31
[ 0.000000] HighMem zone: 2283 pages used for memmap
[ 0.000000] HighMem zone: 290037 pages, LIFO batch:31
[ 0.000000] Movable zone: 0 pages used for memmap
[ 0.000000] DMI 2.4 present.
[ 0.000000] ACPI: RSDP signature @ 0xC00F6920 checksum 0
[ 0.000000] ACPI: RSDP 000F6920, 0014 (r0 GBT )
[ 0.000000] ACPI: RSDT 7F5E3040, 003C (r1 GBT GBTUACPI 42302E31 GBTU 1010101)
[ 0.000000] ACPI: FACP 7F5E30C0, 0074 (r1 GBT GBTUACPI 42302E31 GBTU 1010101)
[ 0.000000] ACPI: DSDT 7F5E3180, 40DF (r1 GBT GBTUACPI 1000 MSFT 100000C)
[ 0.000000] ACPI: FACS 7F5E0000, 0040
[ 0.000000] ACPI: HPET 7F5E73C0, 0038 (r1 GBT GBTUACPI 42302E31 GBTU 98)
[ 0.000000] ACPI: MCFG 7F5E7440, 003C (r1 GBT GBTUACPI 42302E31 GBTU 1010101)
[ 0.000000] ACPI: APIC 7F5E72C0, 0084 (r1 GBT GBTUACPI 42302E31 GBTU 1010101)
[ 0.000000] ACPI: SSDT 7F5E74C0, 015C (r1 PmRef Cpu0Ist 3000 INTL 20040311)
[ 0.000000] ACPI: SSDT 7F5E7950, 0275 (r1 PmRef CpuPm 3000 INTL 20040311)
[ 0.000000] ACPI: PM-Timer IO Port: 0x408
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 6:15 APIC version 20
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[ 0.000000] Processor #1 6:15 APIC version 20
[ 0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
[ 0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] dfl dfl lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] dfl dfl lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] dfl dfl lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] dfl dfl lint[0x1])
[ 0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[ 0.000000] ACPI: IRQ0 used by override.
[ 0.000000] ACPI: IRQ2 used by override.
[ 0.000000] ACPI: IRQ9 used by override.
[ 0.000000] Enabling APIC mode: Flat. Using 1 I/O APICs
[ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] Allocating PCI resources starting at 80000000 (gap: 7f600000:40a00000)
[ 0.000000] swsusp: Registered nosave memory region: 000000000009f000 - 00000000000a0000
[ 0.000000] swsusp: Registered nosave memory region: 00000000000a0000 - 00000000000f0000
[ 0.000000] swsusp: Registered nosave memory region: 00000000000f0000 - 0000000000100000
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 517621
[ 0.000000] Kernel command line: root=UUID=12d2cf09-6f14-4cae-854f-d49f3144e68e ro quiet splash
[ 0.000000] mapped APIC to ffffb000 (fee00000)
[ 0.000000] mapped IOAPIC to ffffa000 (fec00000)
[ 0.000000] Enabling fast FPU save and restore... done.
[ 0.000000] Enabling unmasked SIMD FPU exception support... done.
[ 0.000000] Initializing CPU#0
[ 0.000000] PID hash table entries: 4096 (order: 12, 16384 bytes)
[ 0.000000] Detected 1800.007 MHz processor.
[ 30.284550] Console: colour VGA+ 80x25
[ 30.284553] console [tty0] enabled
[ 30.284775] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[ 30.285019] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 30.372648] Memory: 2056532k/2086784k available (2164k kernel code, 28996k reserved, 1006k data, 364k init, 1169280k highmem)
[ 30.372654] virtual kernel memory layout:
[ 30.372655] fixmap : 0xfff4b000 - 0xfffff000 ( 720 kB)
[ 30.372657] pkmap : 0xff800000 - 0xffc00000 (4096 kB)
[ 30.372658] vmalloc : 0xf8800000 - 0xff7fe000 ( 111 MB)
[ 30.372659] lowmem : 0xc0000000 - 0xf8000000 ( 896 MB)
[ 30.372660] .init : 0xc041f000 - 0xc047a000 ( 364 kB)
[ 30.372661] .data : 0xc031d2ad - 0xc0418dc4 (1006 kB)
[ 30.372662] .text : 0xc0100000 - 0xc031d2ad (2164 kB)
[ 30.372665] Checking if this processor honours the WP bit even in supervisor mode... Ok.
[ 30.372702] SLUB: Genslabs=11, HWalign=64, Order=0-1, MinObjects=4, CPUs=2, Nodes=1
[ 30.372836] hpet clockevent registered
[ 30.452716] Calibrating delay using timer specific routine.. 3602.88 BogoMIPS (lpj=7205767)
[ 30.452736] Security Framework initialized
[ 30.452742] SELinux: Disabled at boot.
[ 30.452753] AppArmor: AppArmor initialized
[ 30.452758] Failure registering capabilities with primary security module.
[ 30.452765] Mount-cache hash table entries: 512
[ 30.452877] CPU: After generic identify, caps: bfebfbff 20100000 00000000 00000000 0000e39d 00000000 00000001 00000000
[ 30.452886] monitor/mwait feature present.
[ 30.452887] using mwait in idle threads.
[ 30.452891] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 30.452893] CPU: L2 cache: 1024K
[ 30.452895] CPU: Physical Processor ID: 0
[ 30.452897] CPU: Processor Core ID: 0
[ 30.452898] CPU: After all inits, caps: bfebfbff 20100000 00000000 00003940 0000e39d 00000000 00000001 00000000
[ 30.452906] Compat vDSO mapped to ffffe000.
[ 30.452918] Checking 'hlt' instruction... OK.
[ 30.469101] SMP alternatives: switching to UP code
[ 30.470628] Early unpacking initramfs... done
[ 30.800717] ACPI: Core revision 20070126
[ 30.800754] ACPI: Looking for DSDT in initramfs... error, file /DSDT.aml not found.
[ 30.804742] CPU0: Intel(R) Pentium(R) Dual CPU E2160 @ 1.80GHz stepping 0d
[ 30.804758] SMP alternatives: switching to SMP code
[ 30.805425] Booting processor 1/1 eip 3000
[ 30.815465] Initializing CPU#1
[ 30.896014] Calibrating delay using timer specific routine.. 3600.00 BogoMIPS (lpj=7200013)
[ 30.896020] CPU: After generic identify, caps: bfebfbff 20100000 00000000 00000000 0000e39d 00000000 00000001 00000000
[ 30.896026] monitor/mwait feature present.
[ 30.896029] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 30.896031] CPU: L2 cache: 1024K
[ 30.896033] CPU: Physical Processor ID: 0
[ 30.896034] CPU: Processor Core ID: 1
[ 30.896035] CPU: After all inits, caps: bfebfbff 20100000 00000000 00003940 0000e39d 00000000 00000001 00000000
[ 30.896415] CPU1: Intel(R) Pentium(R) Dual CPU E2160 @ 1.80GHz stepping 0d
[ 30.896434] Total of 2 processors activated (7202.89 BogoMIPS).
[ 30.896577] ENABLING IO-APIC IRQs
[ 30.896741] ..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 31.043878] checking TSC synchronization [CPU#0 -> CPU#1]: passed.
[ 31.063860] Brought up 2 CPUs
[ 31.063882] CPU0 attaching sched-domain:
[ 31.063884] domain 0: span 03
[ 31.063886] groups: 01 02
[ 31.063889] CPU1 attaching sched-domain:
[ 31.063890] domain 0: span 03
[ 31.063892] groups: 02 01
[ 31.064080] net_namespace: 64 bytes
[ 31.064091] Booting paravirtualized kernel on bare hardware
[ 31.064521] Time: 19:50:20 Date: 04/05/08
[ 31.064568] NET: Registered protocol family 16
[ 31.064736] EISA bus registered
[ 31.064741] ACPI: bus type pci registered
[ 31.070743] PCI: PCI BIOS revision 3.00 entry at 0xfaf30, last bus=3
[ 31.070745] PCI: Using configuration type 1
[ 31.070747] Setting up standard PCI resources
[ 31.072380] ACPI: EC: Look up EC in DSDT
[ 31.076299] ACPI: Interpreter enabled
[ 31.076304] ACPI: (supports S0 S3 S4 S5)
[ 31.076322] ACPI: Using IOAPIC for interrupt routing
[ 31.080579] ACPI: PCI Root Bridge [PCI0] (0000:00)
[ 31.081127] PCI quirk: region 0400-047f claimed by ICH6 ACPI/GPIO/TCO
[ 31.081130] PCI quirk: region 0480-04bf claimed by ICH6 GPIO
[ 31.081501] PCI: Transparent bridge - 0000:00:1e.0
[ 31.081527] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 31.081658] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX0._PRT]
[ 31.081725] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX1._PRT]
[ 31.081796] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.HUB0._PRT]
[ 31.091100] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
[ 31.091192] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
[ 31.091281] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *9 10 11 12 14 15)
[ 31.091371] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
[ 31.091460] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
[ 31.091550] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
[ 31.091640] ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
[ 31.091733] ACPI: PCI Interrupt Link [LNK1] (IRQs *3 4 5 6 7 9 10 11 12 14 15)
[ 31.091851] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 31.091878] pnp: PnP ACPI init
[ 31.091885] ACPI: bus type pnp registered
[ 31.094138] pnpacpi: exceeded the max number of mem resources: 12
[ 31.094264] pnp: PnP ACPI: found 15 devices
[ 31.094266] ACPI: ACPI bus type pnp unregistered
[ 31.094270] PnPBIOS: Disabled by ACPI PNP
[ 31.094473] PCI: Using ACPI for IRQ routing
[ 31.094475] PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report
[ 31.131717] NET: Registered protocol family 8
[ 31.131720] NET: Registered protocol family 20
[ 31.131761] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[ 31.131767] hpet0: 3 64-bit timers, 14318180 Hz
[ 31.132797] AppArmor: AppArmor Filesystem Enabled
[ 31.135711] Time: tsc clocksource has been installed.
[ 31.135721] Switched to high resolution mode on CPU 0
[ 31.135813] Switched to high resolution mode on CPU 1
[ 31.151719] system 00:01: ioport range 0x4d0-0x4d1 has been reserved
[ 31.151723] system 00:01: ioport range 0x290-0x29f has been reserved
[ 31.151727] system 00:01: ioport range 0x800-0x87f has been reserved
[ 31.151731] system 00:01: ioport range 0x290-0x294 has been reserved
[ 31.151734] system 00:01: ioport range 0x880-0x88f has been reserved
[ 31.151750] system 00:0b: ioport range 0x400-0x4bf could not be reserved
[ 31.151759] system 00:0c: iomem range 0xc0000000-0xcfffffff could not be reserved
[ 31.151767] system 00:0d: iomem range 0xcb400-0xcbfff has been reserved
[ 31.151771] system 00:0d: iomem range 0xf0000-0xf7fff could not be reserved
[ 31.151775] system 00:0d: iomem range 0xf8000-0xfbfff could not be reserved
[ 31.151778] system 00:0d: iomem range 0xfc000-0xfffff could not be reserved
[ 31.151782] system 00:0d: iomem range 0x7f5e0000-0x7f5fffff could not be reserved
[ 31.151786] system 00:0d: iomem range 0x0-0x9ffff could not be reserved
[ 31.151790] system 00:0d: iomem range 0x100000-0x7f5dffff could not be reserved
[ 31.151794] system 00:0d: iomem range 0xfec00000-0xfec00fff could not be reserved
[ 31.151798] system 00:0d: iomem range 0xfed13000-0xfed1dfff could not be reserved
[ 31.151802] system 00:0d: iomem range 0xfed20000-0xfed8ffff could not be reserved
[ 31.151806] system 00:0d: iomem range 0xfee00000-0xfee00fff could not be reserved
[ 31.151810] system 00:0d: iomem range 0xffb00000-0xffb7ffff could not be reserved
[ 31.182146] PCI: Bridge: 0000:00:1c.0
[ 31.182149] IO window: c000-cfff
[ 31.182153] MEM window: disabled.
[ 31.182156] PREFETCH window: disabled.
[ 31.182161] PCI: Bridge: 0000:00:1c.1
[ 31.182164] IO window: d000-dfff
[ 31.182168] MEM window: e0000000-e0ffffff
[ 31.182171] PREFETCH window: e1100000-e11fffff
[ 31.182176] PCI: Bridge: 0000:00:1e.0
[ 31.182178] IO window: b000-bfff
[ 31.182182] MEM window: disabled.
[ 31.182185] PREFETCH window: disabled.
[ 31.182209] ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
[ 31.182215] PCI: Setting latency timer of device 0000:00:1c.0 to 64
[ 31.182232] ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 17 (level, low) -> IRQ 17
[ 31.182236] PCI: Setting latency timer of device 0000:00:1c.1 to 64
[ 31.182246] PCI: Setting latency timer of device 0000:00:1e.0 to 64
[ 31.182256] NET: Registered protocol family 2
[ 31.219638] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 31.219870] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[ 31.220279] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[ 31.220530] TCP: Hash tables configured (established 131072 bind 65536)
[ 31.220532] TCP reno registered
[ 31.231734] checking if image is initramfs... it is
[ 31.881515] Freeing initrd memory: 7694k freed
[ 31.882176] audit: initializing netlink socket (disabled)
[ 31.882188] audit(1207425020.385:1): initialized
[ 31.882378] highmem bounce pool size: 64 pages
[ 31.884134] VFS: Disk quotas dquot_6.5.1
[ 31.884200] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[ 31.884323] io scheduler noop registered
[ 31.884325] io scheduler anticipatory registered
[ 31.884327] io scheduler deadline registered
[ 31.884337] io scheduler cfq registered (default)
[ 31.884346] Boot video device is 0000:00:02.0
[ 31.884499] PCI: Setting latency timer of device 0000:00:1c.0 to 64
[ 31.884538] assign_interrupt_mode Found MSI capability
[ 31.884571] Allocate Port Service[0000:00:1c.0:pcie00]
[ 31.884601] Allocate Port Service[0000:00:1c.0:pcie02]
[ 31.884673] PCI: Setting latency timer of device 0000:00:1c.1 to 64
[ 31.884711] assign_interrupt_mode Found MSI capability
[ 31.884742] Allocate Port Service[0000:00:1c.1:pcie00]
[ 31.884770] Allocate Port Service[0000:00:1c.1:pcie02]
[ 31.884975] isapnp: Scanning for PnP cards...
[ 32.237692] isapnp: No Plug & Play device found
[ 32.260348] Real Time Clock Driver v1.12ac
[ 32.260488] hpet_resources: 0xfed00000 is busy
[ 32.260523] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[ 32.260635] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 32.261194] 00:07: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 32.261916] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[ 32.261980] input: Macintosh mouse button emulation as /devices/virtual/input/input0
[ 32.262077] PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[ 32.262401] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 32.262407] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 32.289960] mice: PS/2 mouse device common for all mice
[ 32.290084] EISA: Probing bus 0 at eisa.0
[ 32.290113] EISA: Detected 0 cards.
[ 32.290116] cpuidle: using governor ladder
[ 32.290118] cpuidle: using governor menu
[ 32.290191] NET: Registered protocol family 1
[ 32.290215] Using IPI No-Shortcut mode
[ 32.290239] registered taskstats version 1
[ 32.290314] Magic number: 4:166:849
[ 32.290348] hash matches device ptyv1
[ 32.290373] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 32.290375] EDD information not available.
[ 32.290513] Freeing unused kernel memory: 364k freed
[ 32.306857] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[ 33.508542] fuse init (API version 7.9)
[ 33.527814] ACPI: Processor [CPU0] (supports 8 throttling states)
[ 33.527926] ACPI: SSDT 7F5E78C0, 0087 (r1 PmRef Cpu1Ist 3000 INTL 20040311)
[ 33.528058] ACPI: Processor [CPU1] (supports 8 throttling states)
[ 33.528072] ACPI Exception (processor_core-0816): AE_NOT_FOUND, Processor Device is not present [20070126]
[ 33.528083] ACPI Exception (processor_core-0816): AE_NOT_FOUND, Processor Device is not present [20070126]
[ 33.713975] usbcore: registered new interface driver usbfs
[ 33.714001] usbcore: registered new interface driver hub
[ 33.714458] usbcore: registered new device driver usb
[ 33.725211] USB Universal Host Controller Interface driver v3.0
[ 33.725268] ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 18
[ 33.725278] PCI: Setting latency timer of device 0000:00:1d.0 to 64
[ 33.725282] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[ 33.725471] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
[ 33.725499] uhci_hcd 0000:00:1d.0: irq 18, io base 0x0000e100
[ 33.725624] usb usb1: configuration #1 chosen from 1 choice
[ 33.725646] hub 1-0:1.0: USB hub found
[ 33.725650] hub 1-0:1.0: 2 ports detected
[ 33.831459] ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
[ 33.831469] PCI: Setting latency timer of device 0000:00:1d.1 to 64
[ 33.831473] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[ 33.831496] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
[ 33.831521] uhci_hcd 0000:00:1d.1: irq 19, io base 0x0000e200
[ 33.831628] usb usb2: configuration #1 chosen from 1 choice
[ 33.831649] hub 2-0:1.0: USB hub found
[ 33.831654] hub 2-0:1.0: 2 ports detected
[ 33.875423] SCSI subsystem initialized
[ 33.894325] libata version 3.00 loaded.
[ 33.935281] ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 20
[ 33.935292] PCI: Setting latency timer of device 0000:00:1d.2 to 64
[ 33.935296] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[ 33.935317] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 3
[ 33.935343] uhci_hcd 0000:00:1d.2: irq 20, io base 0x0000e300
[ 33.935443] usb usb3: configuration #1 chosen from 1 choice
[ 33.935465] hub 3-0:1.0: USB hub found
[ 33.935470] hub 3-0:1.0: 2 ports detected
[ 34.039100] ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 16
[ 34.039112] PCI: Setting latency timer of device 0000:00:1d.3 to 64
[ 34.039115] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[ 34.039140] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 4
[ 34.039168] uhci_hcd 0000:00:1d.3: irq 16, io base 0x0000e400
[ 34.039273] usb usb4: configuration #1 chosen from 1 choice
[ 34.039294] hub 4-0:1.0: USB hub found
[ 34.039299] hub 4-0:1.0: 2 ports detected
[ 34.143039] r8169 Gigabit Ethernet driver 2.2LK loaded
[ 34.143061] ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 17 (level, low) -> IRQ 17
[ 34.143077] PCI: Setting latency timer of device 0000:02:00.0 to 64
[ 34.143346] eth0: RTL8168c/8111c at 0xf885a000, 00:1d:7d:ab:91:42, XID 3c2000c0 IRQ 221
[ 34.991057] ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 18
[ 34.991070] PCI: Setting latency timer of device 0000:00:1d.7 to 64
[ 34.991074] ehci_hcd 0000:00:1d.7: EHCI Host Controller
[ 34.991107] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 5
[ 34.994997] PCI: cache line size of 32 is not supported by device 0000:00:1d.7
[ 34.995004] ehci_hcd 0000:00:1d.7: irq 18, io mem 0xe1284000
[ 35.009453] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[ 35.009601] usb usb5: configuration #1 chosen from 1 choice
[ 35.009629] hub 5-0:1.0: USB hub found
[ 35.009635] hub 5-0:1.0: 8 ports detected
[ 35.113535] ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 19
[ 35.113568] PCI: Setting latency timer of device 0000:00:1f.2 to 64
[ 35.113580] ACPI: PCI interrupt for device 0000:00:1f.2 disabled
[ 35.120747] ata_piix 0000:00:1f.2: version 2.12
[ 35.120754] ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
[ 35.120771] ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 19
[ 35.120797] PCI: Setting latency timer of device 0000:00:1f.2 to 64
[ 35.121222] scsi0 : ata_piix
[ 35.121936] scsi1 : ata_piix
[ 35.122503] ata1: SATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xf000 irq 14
[ 35.122506] ata2: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xf008 irq 15
[ 35.492865] ata1.00: HPA unlocked: 625140335 -> 625142448, native 625142448
[ 35.492871] ata1.00: ATA-7: ST3320620AS, 3.AAK, max UDMA/133
[ 35.492875] ata1.00: 625142448 sectors, multi 16: LBA48 NCQ (depth 0/32)
[ 35.517282] ata1.01: ATA-8: WDC WD5000AAKS-22YGA0, 12.01C02, max UDMA/133
[ 35.517289] ata1.01: 976773168 sectors, multi 16: LBA48 NCQ (depth 0/32)
[ 35.561137] ata1.00: configured for UDMA/133
[ 35.577296] ata1.01: configured for UDMA/133
[ 35.905517] ata2.00: ATA-6: WDC WD1600JD-00HBB0, 08.02D08, max UDMA/133
[ 35.905523] ata2.00: 312581808 sectors, multi 16: LBA48
[ 35.905559] ata2.01: ATAPI: Optiarc DVD RW AD-7200S, 1.04, max UDMA/100
[ 35.921502] ata2.00: configured for UDMA/133
[ 36.091906] ata2.01: configured for UDMA/100
[ 36.092020] scsi 0:0:0:0: Direct-Access ATA ST3320620AS 3.AA PQ: 0 ANSI: 5
[ 36.092137] scsi 0:0:1:0: Direct-Access ATA WDC WD5000AAKS-2 12.0 PQ: 0 ANSI: 5
[ 36.092248] scsi 1:0:0:0: Direct-Access ATA WDC WD1600JD-00H 08.0 PQ: 0 ANSI: 5
[ 36.093997] scsi 1:0:1:0: CD-ROM Optiarc DVD RW AD-7200S 1.04 PQ: 0 ANSI: 5
[ 36.100908] Driver 'sd' needs updating - please use bus_type methods
[ 36.100982] sd 0:0:0:0: [sda] 625142448 512-byte hardware sectors (320073 MB)
[ 36.100993] sd 0:0:0:0: [sda] Write Protect is off
[ 36.100996] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 36.101012] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 36.101055] sd 0:0:0:0: [sda] 625142448 512-byte hardware sectors (320073 MB)
[ 36.101064] sd 0:0:0:0: [sda] Write Protect is off
[ 36.101066] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 36.101082] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 36.101085] sda:<4>Driver 'sr' needs updating - please use bus_type methods
[ 36.116357] sda1 sda2 < sda5 sda6 sda7 >
[ 36.155356] sd 0:0:0:0: [sda] Attached SCSI disk
[ 36.155413] sd 0:0:1:0: [sdb] 976773168 512-byte hardware sectors (500108 MB)
[ 36.155424] sd 0:0:1:0: [sdb] Write Protect is off
[ 36.155426] sd 0:0:1:0: [sdb] Mode Sense: 00 3a 00 00
[ 36.155443] sd 0:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 36.155490] sd 0:0:1:0: [sdb] 976773168 512-byte hardware sectors (500108 MB)
[ 36.155500] sd 0:0:1:0: [sdb] Write Protect is off
[ 36.155502] sd 0:0:1:0: [sdb] Mode Sense: 00 3a 00 00
[ 36.155518] sd 0:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 36.155521] sdb: sdb1
[ 36.159937] sd 0:0:1:0: [sdb] Attached SCSI disk
[ 36.160005] sd 1:0:0:0: [sdc] 312581808 512-byte hardware sectors (160042 MB)
[ 36.160021] sd 1:0:0:0: [sdc] Write Protect is off
[ 36.160024] sd 1:0:0:0: [sdc] Mode Sense: 00 3a 00 00
[ 36.160048] sd 1:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 36.160101] sd 1:0:0:0: [sdc] 312581808 512-byte hardware sectors (160042 MB)
[ 36.160111] sd 1:0:0:0: [sdc] Write Protect is off
[ 36.160113] sd 1:0:0:0: [sdc] Mode Sense: 00 3a 00 00
[ 36.160131] sd 1:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 36.160134] sdc: sdc1 sdc2 < sdc5 >
[ 36.201770] sd 1:0:0:0: [sdc] Attached SCSI disk
[ 36.207622] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 36.207642] sd 0:0:1:0: Attached scsi generic sg1 type 0
[ 36.207665] sd 1:0:0:0: Attached scsi generic sg2 type 0
[ 36.207683] sr 1:0:1:0: Attached scsi generic sg3 type 5
[ 36.226545] sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
[ 36.226550] Uniform CD-ROM driver Revision: 3.20
[ 36.226604] sr 1:0:1:0: Attached scsi CD-ROM sr0
[ 36.422973] Attempting manual resume
[ 36.422976] swsusp: Resume From Partition 8:7
[ 36.422977] PM: Checking swsusp image.
[ 36.423126] PM: Resume from disk failed.
[ 36.468186] kjournald starting. Commit interval 5 seconds
[ 36.468198] EXT3-fs: mounted filesystem with ordered data mode.
[ 42.656078] input: PC Speaker as /devices/platform/pcspkr/input/input2
[ 43.262651] iTCO_vendor_support: vendor-support=0
[ 43.318803] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 43.347699] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 43.376524] Linux agpgart interface v0.102
[ 43.388990] agpgart: Detected an Intel G33 Chipset.
[ 43.389496] agpgart: Detected 7164K stolen memory.
[ 43.402579] agpgart: AGP aperture is 256M @ 0xd0000000
[ 43.432919] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.02 (26-Jul-2007)
[ 43.452941] input: Power Button (FF) as /devices/virtual/input/input3
[ 43.512720] ACPI: Power Button (FF) [PWRF]
[ 43.512781] input: Power Button (CM) as /devices/virtual/input/input4
[ 43.556649] ACPI: Power Button (CM) [PWRB]
[ 43.749987] input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio1/input/input5
[ 43.801903] parport_pc 00:08: reported by Plug and Play ACPI
[ 43.801947] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[ 43.812268] iTCO_wdt: Found a ICH7 or ICH7R TCO device (Version=2, TCOBASE=0x0460)
[ 43.812298] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[ 43.912915] intel_rng: FWH not detected
[ 44.352285] ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 16
[ 44.352304] PCI: Setting latency timer of device 0000:00:1b.0 to 64
[ 44.388117] hda_codec: Unknown model for ALC662, trying auto-probe from BIOS...
[ 45.344389] lp0: using parport0 (interrupt-driven).
[ 45.417370] Adding 4000144k swap on /dev/sda7. Priority:-1 extents:1 across:4000144k
[ 46.013504] EXT3 FS on sda1, internal journal
[ 46.166921] device-mapper: uevent: version 1.0.3
[ 46.166948] device-mapper: ioctl: 4.12.0-ioctl (2007-10-02) initialised: <email address hidden>
[ 47.107387] kjournald starting. Commit interval 5 seconds
[ 47.107707] EXT3 FS on sda5, internal journal
[ 47.107718] EXT3-fs: mounted filesystem with ordered data mode.
[ 47.136072] kjournald starting. Commit interval 5 seconds
[ 47.136326] EXT3 FS on sda6, internal journal
[ 47.136331] EXT3-fs: mounted filesystem with ordered data mode.
[ 47.165519] kjournald starting. Commit interval 5 seconds
[ 47.165524] EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
[ 47.170341] EXT3 FS on sdb1, internal journal
[ 47.170346] EXT3-fs: mounted filesystem with ordered data mode.
[ 47.192441] kjournald starting. Commit interval 5 seconds
[ 47.198042] EXT3 FS on sdc1, internal journal
[ 47.198047] EXT3-fs: mounted filesystem with ordered data mode.
[ 47.220970] kjournald starting. Commit interval 5 seconds
[ 47.220975] EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
[ 47.221316] EXT3 FS on sdc5, internal journal
[ 47.221321] EXT3-fs: mounted filesystem with ordered data mode.
[ 47.764534] ip_tables: (C) 2000-2006 Netfilter Core Team
========================================================================================================================

and also the result of 'sudo lspci -vv'.
========================================================================================================================
$ sudo lspci -vv
00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 02)
 Subsystem: Giga-byte Technology Unknown device 5000
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort+ <MAbort+ >SERR- <PERR-
 Latency: 0
 Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
 Subsystem: Giga-byte Technology Unknown device d000
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at e1200000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at e000 [size=8]
 Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at e1000000 (32-bit, non-prefetchable) [size=1M]
 Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
  Address: 00000000 Data: 0000
 Capabilities: [d0] Power Management version 2
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
 Subsystem: Giga-byte Technology Unknown device a002
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at e1280000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
 Capabilities: [70] Express Unknown type IRQ 0
  Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
  Device: Latency L0s <64ns, L1 <1us
  Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
  Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
  Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
  Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
  Link: Latency L0s <64ns, L1 <1us
  Link: ASPM Disabled CommClk- ExtSynch-
  Link: Speed unknown, Width x0

00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 32 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000c000-0000cfff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
 Capabilities: [40] Express Root Port (Slot+) IRQ 0
  Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
  Device: Latency L0s unlimited, L1 unlimited
  Device: Errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
  Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
  Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
  Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 1
  Link: Latency L0s <1us, L1 <4us
  Link: ASPM Disabled RCB 64 bytes CommClk- ExtSynch-
  Link: Speed 2.5Gb/s, Width x0
  Slot: AtnBtn- PwrCtrl- MRL- AtnInd- PwrInd- HotPlug+ Surpise+
  Slot: Number 16, PowerLimit 10.000000
  Slot: Enabled AtnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq-
  Slot: AttnInd Unknown, PwrInd Unknown, Power-
  Root: Correctable- Non-Fatal- Fatal- PME-
 Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
  Address: fee0300c Data: 41b9
 Capabilities: [90] Subsystem: Giga-byte Technology Unknown device 5001
 Capabilities: [a0] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 32 bytes
 Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
 I/O behind bridge: 0000d000-0000dfff
 Memory behind bridge: e0000000-e0ffffff
 Prefetchable memory behind bridge: 00000000e1100000-00000000e11fffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
 Capabilities: [40] Express Root Port (Slot+) IRQ 0
  Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
  Device: Latency L0s unlimited, L1 unlimited
  Device: Errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
  Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
  Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
  Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 2
  Link: Latency L0s <256ns, L1 <4us
  Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
  Link: Speed 2.5Gb/s, Width x1
  Slot: AtnBtn- PwrCtrl- MRL- AtnInd- PwrInd- HotPlug+ Surpise+
  Slot: Number 17, PowerLimit 10.000000
  Slot: Enabled AtnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq-
  Slot: AttnInd Unknown, PwrInd Unknown, Power-
  Root: Correctable- Non-Fatal- Fatal- PME-
 Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
  Address: fee0300c Data: 41c1
 Capabilities: [90] Subsystem: Giga-byte Technology Unknown device 5001
 Capabilities: [a0] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01) (prog-if 00 [UHCI])
 Subsystem: Giga-byte Technology Unknown device 5004
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 18
 Region 4: I/O ports at e100 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01) (prog-if 00 [UHCI])
 Subsystem: Giga-byte Technology Unknown device 5004
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin B routed to IRQ 19
 Region 4: I/O ports at e200 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01) (prog-if 00 [UHCI])
 Subsystem: Giga-byte Technology Unknown device 5004
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin C routed to IRQ 20
 Region 4: I/O ports at e300 [size=32]

00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01) (prog-if 00 [UHCI])
 Subsystem: Giga-byte Technology Unknown device 5004
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin D routed to IRQ 16
 Region 4: I/O ports at e400 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01) (prog-if 20 [EHCI])
 Subsystem: Giga-byte Technology Unknown device 5006
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 18
 Region 0: Memory at e1284000 (32-bit, non-prefetchable) [size=1K]
 Capabilities: [50] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME+

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1) (prog-if 01 [Subtractive decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Bus: primary=00, secondary=03, subordinate=03, sec-latency=32
 I/O behind bridge: 0000b000-0000bfff
 Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
 Capabilities: [50] Subsystem: Giga-byte Technology Unknown device 5000

00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
 Subsystem: Giga-byte Technology Unknown device 5001
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Capabilities: [e0] Vendor Specific Information

00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01) (prog-if 8a [Master SecP PriP])
 Subsystem: Giga-byte Technology Unknown device b002
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin B routed to IRQ 19
 Region 0: I/O ports at 01f0 [size=8]
 Region 1: I/O ports at 03f4 [size=1]
 Region 2: I/O ports at 0170 [size=8]
 Region 3: I/O ports at 0374 [size=1]
 Region 4: I/O ports at f000 [size=16]
 Capabilities: [70] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
 Subsystem: Giga-byte Technology Unknown device 5001
 Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Interrupt: pin B routed to IRQ 11
 Region 4: I/O ports at 0500 [size=32]

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev ff) (prog-if ff)
 !!! Unknown header type 7f
========================================================================================================================

Are there any ways to solve this problem or could the development team of Ubuntu solve it so that the later version will not have it?

Regards,
Kevin

P.S. I thought the problem was solved in RC version and the released one yet it was NOT indeed. I have been using Ubuntu 8.04 Hardy Heron Released since it was released but it still have the same problem.
The only difference is that it sometimes works and sometimes does not. Thus I have to reboot my computer several times every day in order to get my network card working.

Kevin (kevinshlee) on 2008-04-05
description: updated
Kevin (kevinshlee) on 2008-04-05
description: updated
Kevin (kevinshlee) wrote :

Ubuntu 8.04 beta module 2.6.24-15-generic

the_one(2) (sniper-rifle86) wrote :

It seems i have the same problem. The card worked fine in debian after compiling my own drivers.
My motherboard: http://www.asus.com.tw/products.aspx?l1=3&l2=101&l3=496&model=1585&modelmenu=1.
lspci | grep Realtek returns: 02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01). I would be really happy if this problem was fixed this week. If you need more info just post.

Kevin (kevinshlee) on 2008-04-07
Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
Pieter Lexis (pieter-lexis) wrote :

Confirmed for kernel version 2.6.24-16.
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

This would be quite an issue when Harde is released since this is a common chipset.

Some other info:
When I boot the laptop with an ethernetcable attached ethtool will tell me that a link is detected.
After removing the cable ethtool will still report as being detected.
rmmod r8169 && modprobe r8169
will show as link NOT detected, after plugging in cable link still isnt detected.
When link is detected static routing doesn't work also.

Dirk Tas (dirk-tas) wrote :

The same problem with my Asus A6T notebook with Hardy Release Candidate, I hope this gets fixed soon !!
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

Kevin (kevinshlee) wrote :

About two days ago I downloaded Ubuntu 8.04 RC version (ubuntu-8.04-rc-desktop-i386.iso) and have just tested it.

Now it works!!! although the network driver installed is not r8168 but r8169, which did not work at all for RTL8111C ethernet chip in Ubuntu Linux 8.04 beta.

r8169 driver detected my ethernet chip and I can see its IP is allocated correctly. I'm using it now, and believe it is working fine.

I tested it for approximately 30 minutes and left it for about one hour then tested again. It is still working OK, and I could not find any problems so far.

However, I did not install it. I just used Live CD to see if it works, as my hard disk drive does not have enough space to backup the current system (Ubuntu 7.10) so I cannot install it now.

Can anyone actually install and test it?

I hope the final released version of Ubuntu 8.04 Hardy will also have the network driver fixed. Otherwise, no network means I can do nothing because without network I cannot even get any bug fix patch files.

Thanks, Ubuntu Development Team!

Regards,
Kevin

P.S. Although lspci says my ethernet chip is RTL8111/8168B, yet according to the motherboard manual, it is RTL8111C, and when my PC is booted, I can see the network device is 8168. However, as I said, r8169 driver in Ubuntu 8.04 RC seems to work fine.

I've attached the result of lspci -vv.

the_one(2) (sniper-rifle86) wrote :

Thanks for telling me Blade:D! It appears to be working for me as well. I got 10+ MB/s from my fileserver to my laptop which i will have to say is pretty nice:) I'm gonna try from my fileserver to my desktop with gigabit ethernet later today or tomorrow and i feel very hopeful.

Kevin (kevinshlee) wrote :

Hey, the_one. I'm really glad to hear that yours works as well. :D And thanks for your reply!!! So now I can see that it also happens to you! very good!

Now I'm just wondering if the 64bit version of Ubuntu 8.04 also has the driver working well with Realtek RTL8111 network chip for I will probably try to install 64bit version next time.

I hope you'll get the result you want! Good luck!

description: updated
Pieter Lexis (pieter-lexis) wrote :

Blade II:
I just booted the livecd for ubuntu and kubuntu 8.04 RC, but no cigar... same problem exists on my Asus A6t Laptop

Kevin (kevinshlee) wrote :

Hey, Pieter Lexis. I'm sorry to hear that.

I think you'd better give the contents of /var/log/dmesg and the result of 'sudo lspci -vv' to the development team.

You've already mentioned your ethernet card model yet they probably need more information about your Laptop, as sometimes a hardware problem can be caused by other hardware.

I hope you will get the network drive fixed when Ubuntu 8.04 is released.

Regards,
Kevin

deanfred (w8zf) wrote :

No, it is not fixed.

I have two NICs installed in my PC. One is the integrated Realtek 8111C, and the other is a plug-in PCI card with a Realtek 8169. The 8.04RC version does not work with the onboard 8111C NIC. It finds that there is a NIC and identifies it as RTL8111/8168B PCI express Gigabit Ethernet controller. However, it is unable to DHCP or connect to anything on the network. The 8111C says it is using the r8169 driver. I pull out the network cable, and plug it into the 8169, and it works fine. The working 8169 NIC card also says it is using driver r8169.

I believe this is related to the fact that the 8111C is a PCI EXPRESS card. Realtek has a different driver for this chip. Why does linux/Ubuntu use the 8169 driver when that chip is PCI, not PCI-express?

I appreciate the effort of looking into this, but it seems to be a fundamental Linux kernel problem with the driver and needs to be addressed by whomever writes those drivers. As I have mentioned in other bug reports for this same issue, this is also broken in FreeBSD, so there is likely some fundamental reason why the old driver does not work with the PCI-express 8111 chip. Is there any data I can collect to help with this problem, now that I have confirmed it is not working on 8.04RC?

Thanks,
Dean

By the way, the motherboard on-board ethernet diagnostics do confirm that the chip is working (it detects the length and speed of the ethernet PHY), so I don't think the chip is defective. Also, I have two of these motherboards, both new, and they behave the same.

Kevin (kevinshlee) wrote :

Oh, that's bad. I'm sorry to hear that Dean.

However, I've just visited the Realtek website and have found that they, two days ago, released the new version of RTL8111B/RTL8168B/RTL8111/RTL8168/RTL8111C ethernet card driver for Linux.

I'm not sure but it maybe solves the problem you have. If it can, then I hope this will be applied to the released version of Ubuntu 8.04.

Regards,
Kevin

Jim Louvau (jlouvau) wrote :

Same issue here with the 8.04 release (64-bit, clean install) on an MSI MS-16332 laptop.

Reports as RTL8111/8168B, loads the r8169 driver and gets no addresses from dhcp. Worked fine under Gutsy, blah, blah like everyone else :)

Any further progress on this?

RafaCortes (r-cortes-jimenez) wrote :

I've a laptop Asus Z92M.
Ubuntu 8.04 final version clean instalation dont work with Realtek RTL 8111/8168 Gigabit ethernet.
I need one solution becouse i dont want to use windows!!!. aaaaaaarrrrrrrrrgggggg!

I tried instaling the driver of Realtek web site but doesnt work!:

sudo make install
make -C src/ install
make[1]: Entering directory `/home/rafa/Escritorio/r8168-8.005.00/src'
install -m 744 -c r8168.ko /lib/modules/2.6.24-15-generic/kernel/drivers/net/
install: cannot stat `r8168.ko': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/home/rafa/Escritorio/r8168-8.005.00/src'
make: *** [install] Error 2

what is the problem?

Tomasz Puton (tputon) wrote :

The same error occurs on Asus A6Tc after upgrading from ubuntu 7.10 to 8.04 and when trying to install drivers from Realtek's webpage (ver. 22/04/2008). The native drivers provided by Ubuntu (module r8169) doesn't work with Realtek RTL RTL8168B (PCI-Express).

I have no idea why this problem occurs...

Tomek

gill_za (gillza) wrote :

Has anyone tried new v8.006.00 driver yet? I have installed on Gutsy, a little scared updating up to 8.04 yet..

Tomasz Puton (tputon) wrote :

Yes, I have.
I wasn't able to run 'sudo make clean modules' in the directory with drivers. There was the same error as RafaCortes reported.

Tomek

Mangus (il-mangus) wrote :

With the live cd (ubuntu 8.04 final 64 bit), it works fine !!
But when I install ubuntu on HD, the nic doesn't work !!! It give me a series of 0.0.0.0 ip, dns etc...
Ubuntu uses the same driver either with livecd and hd installation, but on hd, it doesn't work !!

I have RTL 8111/8168 Gigabit ethernet nic integrated on the MB of an HP pavillion A6380.it desktop pc.
This is a HUGE bug for me, this is my main pc at work !!!

With 8.04 alpha version i have not noticed any problem !

Tomasz Puton (tputon) wrote :

I managed to compile the driver at last!

But there are very weird problems...

Although the r8168 is compiled and loaded and r8169 blacklisted, "lsmod | grep r8" returns me both 'r8168' and 'r8169' despite the fact that I blacklisted r8169 !!! (both /etc/modprobe.d/blacklist and /etc/modprobe.d/blacklist-network contain 'blacklist r8169'). It looks like blacklisting doesn't work...

And if I manually remove r8169 by typing 'sudo modprobe -r 8169' it keeps on loading after reboot (even while it's blacklisted at the same time!!!). I use ubuntu 8.04 on AMD64.

If I go to 'System -> Advanced -> Drivers' I can see that r8168 is loaded. But it seems that network manager doesn't work with this driver.

Any ideas how to fix it? I guess it's a big bug...

Tomek

Tomasz Puton (tputon) wrote :

Small amendment:
I wanted to say
"And if I manually remove r8169 by typing 'sudo modprobe -r r8169'"

NOT
"And if I manually remove r8169 by typing 'sudo modprobe -r 8169'"

Tomek

jose_ba (jose-ba) wrote :

I have the same problem (with "RTL8111/8168B PCI Express Gigabit Ethernet").

I don't know if this is important, but when I go to Network tools (or something like that, I'm Spanish and I use the Spanish version of Ubuntu) and hit "Configure" for any of the listed devices, I get a message like this "This device doesn't exists".

Sorry for my bad English.

Jose

Your English is just fine !!!

The bug still exist on the final version on my Asus A6T.

Dirk

Op donderdag 01-05-2008 om 08:59 uur [tijdzone +0000], schreef jose_ba:

> I have the same problem (with "RTL8111/8168B PCI Express Gigabit
> Ethernet").
>
> I don't know if this is important, but when I go to Network tools (or
> something like that, I'm Spanish and I use the Spanish version of
> Ubuntu) and hit "Configure" for any of the listed devices, I get a
> message like this "This device doesn't exists".
>
> Sorry for my bad English.
>
> Jose
>

I follow this steps using ndiswrapper and does not work the NIC.
sudo ndiswrapper -i drivername.inf
            then
#sudo ndiswrapper -l
            and display this
drivername : driver installed
but does not work. I dont know what can I do!

Pieter Lexis (pieter-lexis) wrote :

Blade_II

Hereby my dmesg and the output of lspci -vv

Pieter Lexis (pieter-lexis) wrote :
jose_ba (jose-ba) wrote :

Any news?

Kevin (kevinshlee) wrote :

I upgraded from Ubuntu 7.10 to 8.10, released version. I thought it worked fine at first yet later I found that it sometimes does NOT work.

I attach the contents of /var/log/dmesg and the result of 'sudo lspci -vv' of both when it is working and when it is not working.

Kevin (kevinshlee) wrote :

The contents of /var/log/dmesg of when it is working.

Kevin (kevinshlee) wrote :

The result of 'sudo lspci -vv' of when it is working.

Kevin (kevinshlee) wrote :

The contents of /var/log/dmesg of when it is NOT working.

Kevin (kevinshlee) wrote :

The result of 'sudo lspci -vv' of when it is NOT working.

gill_za (gillza) wrote :

Blade II,

I might have forgotten to mention that the reason for me to install the driver from the realtek site was exactly the behavior you are describing now (sometimes working and sometimes not). Usually with the old driver I would reboot and it would work again. Since I upgraded the drivers on my system (7.10) I have not had this problem yet. And since I have the same mobo as yours I'm still waiting and holding off the upgrade up to 8.04 unfortunately....

Thanks,
Igor

gill_za (gillza) wrote :

Nevermind... even though r8169 is blacklisted it still loads. Even with new driver NIC failed again today. It initializes properly 50% of time...

(Ubuntu 7.10, mobo GA-G31M-S2L)

Nico Timeo (n-timeo) wrote :

I have a Biostar P35D2-A7 mainboard with Realtek RTL-8110SC/8169SC Gigabit Ethernet controller (rev 10) with the same problem described here.
I don't know why, but I solved it enabling "Legacy Mode Support" in "Integrated Peripherals" => "OnChip Device" BIOS settings.
Now it works fine for me...

Mark (m-a-r-knos) wrote :

Glad I am not alone with Realtek problems. I have not been able to compile the RTL 8111/8168 drive even tried https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/141343
This is a very similar bug if not the same.
I have this same problems with kernel 2.6.24-17 and 2.6.24-16 but not with the gusty kernel 2.6.22-16.
I found a similar bug report about network problem with kernel 2.6.24-15 when 2.6.24-14 worked OK?

VanTroy (themask998) wrote :

i have the same problem
i have motherboard gigabyte
http://www.gigabyte.com.tw/Products/Motherboard/Products_Spec.aspx?ClassValue=Motherboard&ProductID=2669&ProductName=GA-945GCM-S2L

i spend over 20 hours in searching net for any solution :(

hope the Ubuntu team find one

huepfend_schof (kaweechelchen) wrote :

It still does not work with the new kernal 2.6.24-17.
Does anybody knows if a fix is planned?

McPeter (mcpeter) wrote :

Hi

huepfend_schof, install linux-headers-2.6.24-17-generic

and : https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/141343/comments/21

one friend boot on 2.6.24-16 after update kernel and : sudo apt-get install linux-headers-2.6.24-17-generic
he use : http://blinckers.dnsalias.net/public/astuces/reseau-ethernet-realtek-rtl8111-8168.html (it's resume for french users)
and done :)

(sory for my bad english)

kiev1 (sys-sys-admin) wrote :

HEELP!!!!!
 rl8169c NOT WORK WITH UBUNTU 8.04 !!!!!!

Robert (ubuntu-10-rmn30) wrote :

I followed the instructions in the link suggested by McPeter. They were clear, simple and they worked! The disadvantage is that you have to repeat the process after any kernel upgrades.

For those not confident in their French:

http://translate.google.com/translate?u=http%3A%2F%2Fblinckers.dnsalias.net%2Fpublic%2Fastuces%2Freseau-ethernet-realtek-rtl8111-8168.html&hl=en&ie=UTF8&sl=es&tl=en

kiev1 (sys-sys-admin) wrote :

Thanks You
I wrote pathed driver here http://sys-admin.org/files1/r8168-fix.tar.gz

Kevin (kevinshlee) on 2008-07-07
description: updated
Cedric Schieli (cschieli) wrote :

I've setup an interim linux-backports-modules-2.6.24 in my PPA containing a r8168 module (from upstream 8.006.00 and patch from https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/141343/comments/21) and a patched r8169 module which ignores 8168's pci id (so it won't autoload).

PPA:
deb http://ppa.launchpad.net/cschieli/ubuntu hardy main

Packages:
linux-backports-modules-2.6.24-19-*

Kevin (kevinshlee) wrote :

Thank you so much guys for the information.

Yes, that can be an alternative, yet installing the driver manually is not so good in my opinion.

That is because one advantage of using Ubuntu is that it is much more convenient and easier to use than MS Windows I think. However, if we need to install the network card driver manually, by definition, it is very annoying and inconvenient, and therefore this also means losing that advantage of using Ubuntu. In addition, the manual install is not as easy as double clicking deb package file, and we need to repeat this whenever a new kernel is released. As we all know, Ubuntu 8.04 Hardy Heron has got three times of the kernel update since it was released. I really hope the developers of Ubuntu will solve this problem soon...

In the meantime, yes, after all, I installed the 8168 driver just like some others, yet I took an easy way which is using the installation script, provided by Jameson Williams. The following is the URL to find it.

http://www.jamesonwilliams.com/hardy-r8168.html

It works fine now after installing it, and I hope the link above can help others.

Regards,
Kevin

robled (robled) wrote :

Thank you for your fix Cedric, it appears to work on my system. I have a question though. If new kernel updates appear in update-manager is it safe to update or will I lose my ethernet connectivity?

It is not safe in any case to update the kernel. If the ABI version bumps to -20 (currently -19) you'll lose the patched driver.

Cedric Schieli (cschieli) wrote :

I've backported the r8169 driver from upstream git in my PPA's lbm by cherry-picking commit 77332894c21165404496c56763d7df6c15c4bb09 onto r8169.c from linux-source-2.6.24-19.36 and it works fine for me.

PPA :
deb http://ppa.launchpad.net/cschieli/ubuntu hardy main

direct links :
http://launchpadlibrarian.net/16672076/linux-backports-modules-2.6.24-19-generic_2.6.24-19.17%2Bsdrik2_i386.deb
http://launchpadlibrarian.net/16672076/linux-backports-modules-2.6.24-19-generic_2.6.24-19.17%2Bsdrik2_amd64.deb

Cedric Schieli (cschieli) wrote :

NTolerance

It is safe to upgrade to newer linux-image-2.6.24-19-generic and to newer linux-ubuntu-modules-2.6.24-19-generic, but not to newer linux-backports-modules-2.6.24-19-generic or to linux-image-2.6.24-20-generic.
I will produce new packages when needed until the fix go mainline.

Nathan MWF (tan+mc+logic) wrote :

I have a new mainboard (SUPERMICRO MBD-C2SEA) with a Realtek 8111C. It used the r8169 driver by default.

Under 8.04 my system acted as above (all 0.0.0.0's). I did not read all the above, I must admit.

Under 8.10 Alpha 4 the chip works well. I have not tested speed, but it appears to work and be 100 percent stable.

I also updated to a new BIOS between the 8.04 and the 8.10 Alpha 4 installs, FYI.

Hi Blade II,

Since you are the original bug reporter, care to confirm if this is resolved for you with the latest Alpha for the upcoming Intrepid Ibex 8.10. You should be able to test via a LiveCD - http://www.ubuntu.com/testing. Please let us know your results. If the issue still exists, per the kernel team's bug policy, can you please attach the following updated information against Intrepid. Please be sure to attach each file as a separate attachment.

* cat /proc/version_signature > version.log
* dmesg > dmesg.log

For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies .

Additionally, beginning with the Intrepid Ibex 8.10 development cycle the linux-ubuntu-modules package was actually merged with the linux kernel package. Going forward, bugs that would have been reported against linux-ubuntu-modules should now just be reported against linux. I've gone ahead and opened this report against the 'linux' package. It would be good to get confirmation if the driver available in Intrepid resolves this for you or not. The kernel team could then possibly consider backporting it to Hardy.

Changed in linux:
status: New → Incomplete
Changed in linux-ubuntu-modules-2.6.24:
status: New → Incomplete
Kevin (kevinshlee) wrote :

Hello, Leann.

Thank you so much for your answer with a very kind explanation. :D

I'm happy to test it and will do this weekend.

Regards,
Kevin

Ech (ech1965) wrote :

Hello,

I made some tests with my new Vostro 1710

- using Hardy "gold" -> Could not use the lan connection
- with help of https://bugs.launchpad.net/ubuntu/+source/linux/+bug/212497/comments/48 , I managed to make the lan connection work.
- intrepid alternated cd ( 22-aug-2008) -> lan connection not detected during install

- hardy with the "proposed" repository ( using /boot/vmlinuz-2.6.24-21-generic) the lan connection is not recognized..

Thanks
Etienne

Kevin (kevinshlee) wrote :

I'm sorry to report this late. I tested it last weekend yet didn't have time at all.

I downloaded two versions below through torrent.
intrepid-desktop-amd64.iso
intrepid-desktop-i386.iso

Both images passed the integrity test before and after burning these to CDs.

1.intrepid-desktop-amd64.iso
Result: Failed (Same as Hardy Heron)
 I tested five times and it worked three times and did not work two times. So the wired connection sometimes works sometimes does not.
 2 / 5 : failed
 3 / 5 : succeeded

2.intrepid-desktop-i386.iso
Much worse than 64bit version. I could not even get the Desktop screen. After showing the screen with progress bar when it is being booted, it displays nothing. Not even a mouse cursor. Just black dark screen. I also found that when the progress bar is shown, some broken part of progress bar appears around the original one. I've attached the image so you can check this out. (Sorry about the quality of the image. I had to use my mobile to take it).

I tested ten times and only three times I could get the Desktop. Those three times, it worked yet that network problem is occurred just sometimes, and I could test only three times out of the ten times of attempt. So I could not really test it to see whether the problem is fixed or not.

So to sum up,
intrepid-desktop-amd64.iso: It still has the same problem. The ethernet card sometimes works sometimes does not.

intrepid-desktop-i386.iso: It could not be tested as most of the time it displays nothing. (I'd probably better report this as a separate bug).

I'll attach dmesg, the version signature and lspci.

Thanks for the Ubuntu development team and I hope we can get it fixed soon.

Regards,
Kevin

Kevin (kevinshlee) wrote :

The version signature.

Kevin (kevinshlee) wrote :

# The first failure
dmesg > dmesg.log

Kevin (kevinshlee) wrote :

# The second failure
dmesg > dmesg.log

Kevin (kevinshlee) wrote :

lspic -vv

By the way, intrepid-desktop-i386.iso file attached in the first comment regarding the test of Intrepid is, as you know, a jpg image file not CD image. :D

It shows the broken progress bar.

Regards,
Kevin

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Nathan MWF (tan+mc+logic) wrote :

I should note the the Live CD of Alpha 4 did not work. Alpha 4 only worked when installed to HD. I want to point this out, as it sounds like blade|| is running the live CD, but I'm not sure that he is running the live CD.

Kevin (kevinshlee) wrote :

Thank you Leann.
I prefer the latter one. As I am developing a web application now and my box has all the development environment, set up, I cannot re-install Ubuntu now. So I will try the live CD of Alpha 5.

Hey, Nathan. Yes, you are right. :D
I used the live CD to test the Alpha 4 version. So you are saying that if I install it on my PC then it should work, aren't you?

Does that mean it works without updating the kernel? Anyway, as I already mentioned, I can't install it now.

Thank you anyway. :)

Regards,
Kevin

the_one(2) (sniper-rifle86) wrote :

I just wanted to report that my NIC appears to be working using the r8169 drivers from the standard ubuntu kernel (version 2.6.24-19-generic). I was previously using custom compiled drivers but after i upgraded the kernel i tried switching back to the normal drivers (or at least I think so, i removed the blacklist from r8169 and blacklisted r8168 instead). I haven't noticed any problems for two days

the_one(2) (sniper-rifle86) wrote :

just to clarify; I'm not running Intrepid Ibex and i still have Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01) as my nic

Kevin (kevinshlee) wrote :

I tested Intrepid alpha 5 and believe it's working.

I tested both intrepid-desktop-amd64.iso and intrepid-desktop-i386.iso, 7 times and 6 times respectively. I could not find any problem with realtek NIC driver.

I hope this will be also applied to 8.04 Hardy Heron soon or is it already? :D

Regards,
Kevin

bink (bingphoa) wrote :

Just want to add my observation regarding this issue, hopefully it may help the ubuntu team to find narrow down the caused and find the fix.

I am basically have 3 machines at my home: 1 Laptop (Dell, running Vista homepremium, wireless connection to the router), and 2 Desktops (one with Ubuntu Hardy 2.6.24-16 generic and the other dual boot XP/Feisty; both machines wired connection to the router DLink DSL 604T ADSL-Router).

The computer which has Hardy installed is similar to what Kevin has (CPU: Intel E2180 M/B: Gigabyte GA-G31M-S2L Lan: Realtek RTL 8111C chip (on-board).

I noticed that if I turn on the Hardy machine while the laptop is off/or in sleeping mode, internet connection is always successful (from Hardy machine).

However, if hardy machine is turn-on while the laptop is already on (so it turns-on after the Laptop), connection will never successful (failed).

There is no affect from the other desktop. i.e. internet connection from Hardy machine will always successful even if the XP/Feisty was turn-on first.

If I use the 100/10 LAN card for the Hardy machine (so disable the on-board gigabit LAN), it always be able to establish the connection even if it is turn-on after/while the laptop is already on

So, in my case the unsuccesfull connection is due to some other computer with wireless connection has preceeded a Hardy machine using gigabit lan. I don't know if the other have particulary observed this situation too when they say sometimes work and sometimes doesnt.

Cheers,
Bink

Emanuele Pane (emanuele-pane) wrote :

Hello,

this seems to be the right place for my report, so...

I have a problem with my Realtek 8111B on-board Ethernet card.
I'm running Intrepid Ibex Beta but the problem has been going on since my first install (Alpha 5).
The onboard Ethernet card gets detected as a Realtek 8169 model (which is obviously not the case), the kernel has thus this module loaded, and blacklisting it simply gets the card undetected - it disappears from network-manager list.

This is the output of lspci | grep Ethernet:

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

Consider that the second card, RTL-8139, is a normal PCI that works fine and that the module loaded for the RTL8111/8168B (not working card) is r8169: it manages to get an IP assigned via DHCP to the card but the connection is down.

I've looked around and found out that this same issue was also present in earlier Hardy testing releases, and that it could be solved by downloading the proper driver and compiling it for the kernel while disabling the wrong one (I hope I didn't say something stupid here). After that, though, it must have been solved in a more definitive way, since I never experimented that: when I installed Hardy everything worked fine right from the start.

I tried this procedure here: http://ubuntuforums.org/showthread.php?t=755002#4
But there are too many differences for my level of expertise to make it work and, other than that, the same problem would appear again (correct me if I'm wrong) the moment one upgrades the kernel.

If anyone has an idea and wants me to test it I'm willing to help get the problem solved!

Thanks a lot everybody for your work!
Emanuele

Patrick Schueller (pschuel) wrote :

I can confirm the observations made by the_one(2) and Emanuele Pane. On my machine, RealTek RTL8111/6168B network adapter:
- works on Hardy (Kubuntu) vanilla install (the original 8.04 CD)
- does not work on Intrepid beta install (also Kubuntu)
- the patch exchanging the r6168 for the r8169 module does not work for Intrepid
- in the working Hardy installation, the r8169 module is loaded and not the r8168, but nevertheless it works

Patrick

Kevin (kevinshlee) wrote :

Hmm, it is very weird as it works on my PC since, I believe, 8.10 Intrepid alpha 5.

Now I'm using Intrepid beta because I got another bug reported in the following link after upgrading the ram of my PC from 2 GiB to 4 GiB. I was using 8.04.1.
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/177492

Anyway, using Intrepid beta solved the problem of EXA and it does not have the problem of realtek network described in this report.

$ lspci | grep Ethernet
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

This is mine but the driver loaded is 8169, and it works.

I don't understand what is going on here. It works on some PCs but does not for some others?

Regards,
Kevin

Emanuele Pane (emanuele-pane) wrote :

Apparently it is just like you say, Kevin: it works on some computers but not on others.

I can say me and Patrick Schueller have the exact same problem: ok on Hardy (live, fresh install, up-to-date, just ok all the way) and never working on Intrepid, not after a fresh installation, neither after the updates (last done this morning).
I'll try to run an Intrepid live cd just to see if I get the same problem.

I'm just wondering if the kernel-modules updates also update the drivers or not, since I'm a real newbie about this software level.

The real weird thing is that clicking on the info on network-manager shows that everything gets assigned: IP, submask, gateway, DNSs, everything...

Emanuele

robled (robled) wrote :

Is it OK to install the Hardy kernel update that was released last week? I have held off for fear of losing my network connectivity.

Emanuele Pane (emanuele-pane) wrote :

To NTolerance:
So far I have never experienced any problem with the Hardy kernel or its updates (my system is up-to-date), but since other people have had issues I can't say that for sure.

In my opinion though since your connectivity was already working I'd try to update, I don't think anyone here experienced a regression over something working from the beginning, but I may be wrong, check that out...

Regards,
Emanuele

robled (robled) wrote :

I had to install Cedric's DEB driver to get my Ethernet working. I'm concerned that the new kernel update will break this driver.

Cedric Schieli (cschieli) wrote :

NTolerance:
My fix is included in the last kernel update so if your setup is working with my fix it will work with the update.

robled (robled) wrote :

Excellent. I just updated my kernel and my ethernet appears to be working. Thanks again for all your help with this.

Armindo Silva (deathon2legs) wrote :

Hi.

I just updated the kernel and i still ca get no connection.. My board is an asrock..
Any ideas?

Hi All,

For those of you still experiencing issues with the latest Intrepid kernel, care to open a new bug report as it seems you have a slightly different bug than was was reported here. The reason I say this is because Blade II, the original bug reporter, has commented that this is no longer an issue and has been resolved. It's helpful to the kernel team if bug reports target a specific issue against a specific set of hardware as it will likely require separate fixes. So if you still have an issue, please open a new report. Thanks.

Changed in linux:
status: Incomplete → Fix Released

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

I've been having problems with the 8169 driver and RTL8111/8168B network card as well. I'm not 100% sure if this is the same issue, but I suspect it might be.

Anyway, the issue I was seeing was that the network card was properly detected, but did not do proper link detection (no connection and no lights were enabled on the switch). Some digging around turned out that the r8169 driver does not properly turn on the PHY part of the network card. Normally this is not a problem, except when it gets turned off. This is a problem when running in dual boot with Windows, since the windows driver turns off the PHY on shutdown (but only when Wake On LAN is disabled, which was the default for me).

To respond to Leann, this might still be the same issue Blade II was seeing, but it could be solved because perhaps Blade II stopped using Windows? If not, then this is probably a seperate issue.

Just to help other users out: The workaround for the issue I describe is to turn on wake on lan for the network card in Windows (Device manager -> Realtek NIC -> Properties -> Advanced -> Wake On Lan). The issue also seems to have been addressed upstream already [1] (though I have not tested this!). The fix I'm referring to fixes this issue specifically for the B hardware version (AFAICS), there was already support for enabling the PHY on some other hardware versions.

The fix I'm referring to is not yet present in 2.6.27, but is in 2.6.28, so at least some issues regarding the r8169 driver will disappear when Ubuntu upgrades to the .28 kernel (though perhaps the above bugfix could be backported?).

[1]: http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6-stable.git;a=commit;h=a2de6b89

Victor Mendonça (victorbrca) wrote :
Download full text (4.6 KiB)

I'm having the same problem on a gigabyte board with built-in realtek nic. I've found numerous bugs for the same issue, not sure which is the main one and if ubuntu team is checking for duplicates.

I have created a script on another machine that emails me when the link is down. I then crosschecked against all my logs and could not find anything related to the network going down.

This problem seems to be happening since 2.26.24 on r8169 (as per bugs I found).

My machine has two cards (second is a different brand), only the Realtek stops working.

==============================================================================

OS: Ubuntu Intrepid AMD64

Problem:
Card stops working for a period of time (usually 5-15 minutes)

Bugs I found: 76489, 212497, 256331, 286489, 293661, 205374

=>lspci -vvv | less
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: Giga-byte Technology Device e000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 2300
        Region 0: I/O ports at c000 [size=256]
        Region 2: Memory at f6000000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at fa100000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: r8169
        Kernel modules: r8169

=>cat /proc/version_signature
Ubuntu 2.6.27-7.16-server

=>ifconfig
RX bytes:10506838810 (10.5 GB) TX bytes:1987163061 (1.9 GB)

=>dmesg
[169782.011271] ------------[ cut here ]------------
[169782.011278] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:219 dev_watchdog+0x272/0x280()
[169782.011281] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[169782.011283] Modules linked in: vmnet vmci vmmon ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT xt_tcpudp bridge stp kvm ppdev ipv6 iptable_filter ip_tables x_tables ac lp loop snd_hda_intel parport_pc snd_pcm snd_timer pcspkr snd evdev shpchp iTCO_wdt parport intel_agp button soundcore iTCO_vendor_support pci_hotplug snd_page_alloc ext3 jbd mbcache sr_mod cdrom ata_generic sd_mod crc_t10dif pata_jmicron sg ata_piix pata_acpi pata_it821x via_rhine mii libata r8169 scsi_mod dock ehci_hcd uhci_hcd usbcore raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 multipath linear md_mod dm_mirror dm_log dm_snapshot dm_mod thermal processor fan fbcon tileblit font bitblit softcursor fuse [last unloaded: vmnet]
[169782.011353] Pid: 0, comm: swapper Not tainted 2.6.27-7-server #1
[169782.011355]
[169782.011356] Call Trace:
[169782.011358] <IRQ> [<ffffffff8024e91c>] warn_slowpath+0xbc/0xf0
[169782.011366] [<ffffffff803a23ba>] ? __next_cpu+0x1a/0x30
[169782.011371] [<ffffffff8024535c>] ? find_busiest_group+0x1dc/0x970
[169782.011375] [<ffffffff80219d26>] ? read_tsc+0x16/0x40
[169782.011380] [<ffffffff80273f44>] ? timer_stats_update_stats+0x24/0x370
[169782.011383] [<fffff...

Read more...

To post a comment you must log in.